net.minecraft.world

## Interface IWorldAccess

- All Known Implementing Classes:
    RenderGlobal, WorldManager

      public interface IWorldAccess

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcastSound(int var1, int var2, int var3, int var4, int var5)`
    `void` | `destroyBlockPartially(int var1, int var2, int var3, int var4, int var5)`
    `void` | `markBlockForRenderUpdate(int var1, int var2, int var3)`
    `void` | `markBlockForUpdate(int var1, int var2, int var3)`
    `void` | `markBlockRangeForRenderUpdate(int var1, int var2, int var3, int var4, int var5, int var6)`
    `void` | `onEntityCreate(Entity var1)`
    `void` | `onEntityDestroy(Entity var1)`
    `void` | `onStaticEntitiesChanged()`
    `void` | `playAuxSFX(EntityPlayer var1, int var2, int var3, int var4, int var5, int var6)`
    `void` | `playRecord(java.lang.String var1, int var2, int var3, int var4)`
    `void` | `playSound(java.lang.String var1, double var2, double var4, double var6, float var8, float var9)`
    `void` | `playSoundToNearExcept(EntityPlayer var1, java.lang.String var2, double var3, double var5, double var7, float var9, float var10)`
    `void` | `spawnParticle(java.lang.String var1, double var2, double var4, double var6, double var8, double var10, double var12)`

- - ### Method Detail

    - #### markBlockForUpdate

          void markBlockForUpdate(int var1,
                                int var2,
                                int var3)

    - #### markBlockForRenderUpdate

          void markBlockForRenderUpdate(int var1,
                                      int var2,
                                      int var3)

    - #### markBlockRangeForRenderUpdate

          void markBlockRangeForRenderUpdate(int var1,
                                           int var2,
                                           int var3,
                                           int var4,
                                           int var5,
                                           int var6)

    - #### playSound

          void playSound(java.lang.String var1,
                       double var2,
                       double var4,
                       double var6,
                       float var8,
                       float var9)

    - #### playSoundToNearExcept

          void playSoundToNearExcept(EntityPlayer var1,
                                   java.lang.String var2,
                                   double var3,
                                   double var5,
                                   double var7,
                                   float var9,
                                   float var10)

    - #### spawnParticle

          void spawnParticle(java.lang.String var1,
                           double var2,
                           double var4,
                           double var6,
                           double var8,
                           double var10,
                           double var12)

    - #### onEntityCreate

          void onEntityCreate(Entity var1)

    - #### onEntityDestroy

          void onEntityDestroy(Entity var1)

    - #### playRecord

          void playRecord(java.lang.String var1,
                        int var2,
                        int var3,
                        int var4)

    - #### broadcastSound

          void broadcastSound(int var1,
                            int var2,
                            int var3,
                            int var4,
                            int var5)

    - #### playAuxSFX

          void playAuxSFX(EntityPlayer var1,
                        int var2,
                        int var3,
                        int var4,
                        int var5,
                        int var6)

    - #### destroyBlockPartially

          void destroyBlockPartially(int var1,
                                   int var2,
                                   int var3,
                                   int var4,
                                   int var5)

    - #### onStaticEntitiesChanged

          void onStaticEntitiesChanged()